package com.d2v.web.vo;

public class SimilarityStorage {

    private String sourceDocId;
    private String sourceSimilarDocId;
    private String sourceDocName;
    private String targetDocId;
    private String targetSimilarDocId;
    private String targetDocName;
    private double similarity;

    public SimilarityStorage(){
        super();
    }

    public SimilarityStorage(String sourceDocId, String targetDocId) {
        super();
        this.sourceDocId = sourceDocId;
        this.targetDocId = targetDocId;
    }

    public SimilarityStorage(String sourceDocId, String sourceSimilarDocId, String sourceDocName, String targetDocId,
                             String targetSimilarDocId, String targetDocName, double similarity) {
        super();
        this.sourceDocId = sourceDocId;
        this.sourceSimilarDocId = sourceSimilarDocId;
        this.sourceDocName = sourceDocName;
        this.targetDocId = targetDocId;
        this.targetSimilarDocId = targetSimilarDocId;
        this.targetDocName = targetDocName;
        this.similarity = similarity;
    }
    public String getSourceDocId() {
        return sourceDocId;
    }
    public void setSourceDocId(String sourceDocId) {
        this.sourceDocId = sourceDocId;
    }
    public String getSourceSimilarDocId() {
        return sourceSimilarDocId;
    }
    public void setSourceSimilarDocId(String sourceSimilarDocId) {
        this.sourceSimilarDocId = sourceSimilarDocId;
    }
    public String getSourceDocName() {
        return sourceDocName;
    }
    public void setSourceDocName(String sourceDocName) {
        this.sourceDocName = sourceDocName;
    }
    public String getTargetDocId() {
        return targetDocId;
    }
    public void setTargetDocId(String targetDocId) {
        this.targetDocId = targetDocId;
    }
    public String getTargetSimilarDocId() {
        return targetSimilarDocId;
    }
    public void setTargetSimilarDocId(String targetSimilarDocId) {
        this.targetSimilarDocId = targetSimilarDocId;
    }
    public String getTargetDocName() {
        return targetDocName;
    }
    public void setTargetDocName(String targetDocName) {
        this.targetDocName = targetDocName;
    }
    public double getSimilarity() {
        return similarity;
    }
    public void setSimilarity(double similarity) {
        this.similarity = similarity;
    }

}
